<?php
namespace Claromentis\Stat;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_d706c16" . "0e45bf74" . "34fff82a" . "5976f0e1" . "9" => base64_decode("YXJyYXlfa2V5cw=" . "="), "_cfe3120f54" . "395b670652b" . "38c2d0a8e88" => base64_decode("c3Vic3" . "Ry"), "_70979d287fa2c98d21aa0783" . "4c259a52" => base64_decode("c3RydG9" . "sb3dlcg" . "=="), "_aed8da0f19091214b78f8" . "0351048517c" => base64_decode("c3Ryb" . "GVu"), "_f61cbfe09f839854b95117fe13b" . "4a1ba" => base64_decode("c3Ry" . "cG9z"));
use Pimple\Container;






class StatPluginProvider
{
    private $plugins = [];
    private $container = null;
    const STAT_APP_NAME_PREFIX = 'stat.provider.';
    
    
    
    
    
    
    public function __construct(Container $_5e4594441b0e531bfd6f0011e0327611)
    {
        $this->container = $_5e4594441b0e531bfd6f0011e0327611;
    }
    
    
    
    
    protected function FindPluginsKeys()
    {
        if (!empty($this->plugins)) {
            return;
        }
        $_dff05f62bb87399254f2155a31e58365 = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aed8da0f19091214b78f80351" . "048517c"](self::STAT_APP_NAME_PREFIX);
        foreach ($this->container->keys() as $key) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_f61cbfe09f839854b95" . "117fe13b4a1ba"]($key, self::STAT_APP_NAME_PREFIX) === 0) {
                $this->plugins[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_cfe3120f" . "54395b670" . "652b38c2d" . "0a8e88"]($key, $_dff05f62bb87399254f2155a31e58365)] = 1;
            }
        }
    }
    
    
    
    
    
    
    public function GetPluginsKeys()
    {
        $this->FindPluginsKeys();
        return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d706c160e45bf74" . "34fff82a5976f0e1" . "9"]($this->plugins);
    }
    
    
    
    
    
    
    
    
    public function GetPlugin(string $name)
    {
        $service_name = self::STAT_APP_NAME_PREFIX . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_70979d287fa2c98d21" . "aa07834c259a52"]($name);
        $plugin = null;
        if (isset($this->container[$service_name])) {
            $plugin = $this->container[$service_name];
        }
        return $plugin;
    }
}